regina::detail::FaceCalculator< dim, subdim, codim > Struct Template Reference
Implementation details

Internal class used to calculate lower-dimensional faces in a triangulation. More...

`#include <triangulation/detail/triangulation.h>`

## Static Public Member Functions

static void | calculate (TriangulationBase< dim > &t)
| Calculates all faces of dimension ≤ subdim in the given triangulation. More...

## Detailed Description

### template<int dim, int subdim, int codim>
struct regina::detail::FaceCalculator< dim, subdim, codim >

Internal class used to calculate lower-dimensional faces in a triangulation.

Specifically, this class is used to calculate all faces of dimension ≤ subdim in a dim-dimensional triangulation.

Template Parameters

  dim | the dimension of the underlying triangulation.
  subdim | the maximum dimension of the faces to compute.
  codim | the minimum codimension of the faces to compute; this must be equal to dim - subdim. It is offered as a separate parameter so that this template class can be independently specialised on both subdim and codim.

## Member Function Documentation

## calculate()

template<int dim, int subdim, int codim>

static void regina::detail::FaceCalculator< dim, subdim, codim >::calculate | ( | TriangulationBase< dim > & | t | ) |

inline static

Calculates all faces of dimension ≤ subdim in the given triangulation.

Parameters

  t | the triangulation whose faces should be calculated.

The documentation for this struct was generated from the following file:

- triangulation/detail/triangulation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).